"use strict";
jQuery(document).ready(function()
{
	
	jQuery(document).on ('keypress', '#current-page-selector', wccm_go_to_page);
	
	jQuery(".js-role-select").select2({'width':400});
	wccm_init()
});
function wccm_go_to_page(event)
{
	if (typeof event.keyCode !== 'undefined' && event.keyCode == 13)
	{
		event.stopImmediatePropagation();
		event.preventDefault();
		jQuery( '#customer-filter').submit();
		return false;
	}
}
function wccm_init ()
{
	if(jQuery('#search_id-search-input').val() != "" && typeof jQuery('#search_id-search-input').val()!=='undefined')
		{
			jQuery(".first-page").attr('href', jQuery(".first-page").attr('href')+"&s="+jQuery('#search_id-search-input').val());
			jQuery(".prev-page").attr('href', jQuery(".prev-page").attr('href')+"&s="+jQuery('#search_id-search-input').val());
			jQuery(".next-page").attr('href', jQuery(".next-page").attr('href')+"&s="+jQuery('#search_id-search-input').val());
			jQuery(".last-page").attr('href', jQuery(".last-page").attr('href')+"&s="+jQuery('#search_id-search-input').val());
		}
		
		jQuery(".first-page").attr('href', jQuery(".first-page").attr('href')+wccm.get_string);
		jQuery(".prev-page").attr('href', jQuery(".prev-page").attr('href')+wccm.get_string);
		jQuery(".next-page").attr('href', jQuery(".next-page").attr('href')+wccm.get_string);
		jQuery(".last-page").attr('href', jQuery(".last-page").attr('href')+wccm.get_string); 
		jQuery('th a').each(function(index,value)
		{
			jQuery(this).attr('href', jQuery(this).attr('href')+wccm.get_string); 
		});
		
		jQuery('#csv-button-customer-table').click(function()
		{
			var ids_to_export = [];
			var csvRows = [];
			
			jQuery('th.check-column input').each(function(index)
			{
				if(!isNaN(jQuery(this).attr('value')) && jQuery(this).prop( "checked" ) == true)
				{
					ids_to_export.push(jQuery(this).attr('value'));
				}
			});
			
			
			for(var i=0,l=wccm.data.length; i<l; ++i)
			{
				if(ids_to_export.length == 0) 
					csvRows.push(wccm.data[i].join(','));  
				else
				{
					if(i == 0) //Title column
							csvRows.push(wccm.data[0].join(',')); 
					else
						for(var j=0; j<ids_to_export.length;j++)
						{
							if(ids_to_export[j] == wccm.data[i][0])
									csvRows.push(wccm.data[i].join(','));
						}
					
				}
			}
			
			
			var csvString = csvRows.join("\r\n");
			var a         = document.createElement('a');
			a.href        = 'data:attachment/csv,' + encodeURIComponent(csvString);
			a.target      = '_blank';
			a.download    = 'WCCM-customers_list.csv';

			document.body.appendChild(a);
			a.click();
		});
		
}
