"use strict";
jQuery(document).ready(function()
{
	
	if(wccm.show_alert_message == 'true')
		alert(wccm.alert_message);
	var $picker_start_date =  jQuery( "#picker_start_date" ).pickadate({formatSubmit: 'yyyy/mm/dd',selectYears: true, selectMonths: true});
	var $picker_end_date = jQuery( "#picker_end_date" ).pickadate({formatSubmit: 'yyyy/mm/dd',selectYears: true, selectMonths: true});
	
	var picker_start_date = $picker_start_date.pickadate('picker');
	var picker_end_date = $picker_end_date.pickadate('picker');
	
	picker_start_date.set('select', wccm.start_date, { format: 'yyyy/mm/dd' });
	picker_end_date.set('select', wccm.end_date, { format: 'yyyy/mm/dd' });

	var radar_chart_data = {
				type: 'radar',
				data:{
					labels: wccm.product_labels,
					datasets: [
						{
							label: wccm.num_of_prodcuts_message,
							backgroundColor : "rgba(164, 100, 151, 0.2)",
							borderColor: "rgba(164, 100, 151, 1)",
							data: wccm.total_products
						}
					]
				},
				options:
				{
					responsive : true
				}
			};
	
	var ctx = jQuery("#myChart").get(0).getContext("2d");					
	var radarChart = new Chart(ctx,radar_chart_data); 
	
	var bar_chart_data = 
	{
		type: 'bar',
		data:{
			labels : wccm.orders_amount_labels,
			datasets : [
				{
					label: wccm.amount_message,
					backgroundColor : "rgba(164, 100, 151, 0.2)",
					borderColor: "rgba(164, 100, 151, 1)",
					data: wccm.total_orders_amount_per_order
				}
			]
		},
		options : 
		{
			responsive : true,
			scales: {
			  xAxes: [{
				stacked: true
			  }],
			  yAxes: [{
				stacked: true
			  }]
			}
		}
	};
	ctx = jQuery("#myChart2").get(0).getContext("2d");
	var barChart = new Chart(ctx,bar_chart_data);
	
	
	//line
	var line_chart_data = {
		type: 'line',
		data:{
			labels : wccm.orders_amounts_per_date_labels,
					datasets : [
						{
							label: wccm.amount_message,
							backgroundColor : "rgba(164, 100, 151, 0.2)",
							borderColor: "rgba(164, 100, 151, 1)",
							data: wccm.total_orders_amounts_per_date
						}
					]
				},
		options:
		{
			responsive : true
		}
	};
						
	ctx = jQuery("#myChart3").get(0).getContext("2d");
	var myLineChart = new Chart(ctx, line_chart_data); 

//EXPORT
var data = [];
jQuery('#export-all-orders-button').click(exportAllOrders);
jQuery('.export-single-order-button').click(exportSingleOrder);

function exportAllOrders(event)
{
	
}
function exportSingleOrder(event)
{
	var block_order = jQuery(event.target).parent();
	var order_id_and_timestamp = jQuery(event.target).parent().find('h4').html();
	order_id_and_timestamp =  order_id_and_timestamp.split(" ");
	var order_id = order_id_and_timestamp[2];
	var order_timestamp = order_id_and_timestamp[4]+" "+order_id_and_timestamp[5];
	
	return false;
}

function startExporting()
{
	var ids_to_export = [];
	var csvRows = [];
	
	jQuery('th.check-column input').each(function(index)
	{
		if(!isNaN(jQuery(this).attr('value')) && jQuery(this).prop( "checked" ) == true)
		{
			ids_to_export.push(jQuery(this).attr('value'));
		}
	});
	
	
	for(var i=0,l=data.length; i<l; ++i)
	{
		if(ids_to_export.length == 0) 
			csvRows.push(data[i].join(','));  
		else
			for(var j=0; j<ids_to_export.length;j++)
			{
				if(ids_to_export[j] == data[i][0])
					csvRows.push(data[i].join(','));
			}
	}
	
	
	var csvString = csvRows.join("\r\n");
	var a         = document.createElement('a');
	a.href        = 'data:attachment/csv,' + encodeURIComponent(csvString);
	a.target      = '_blank';
	a.download    = 'WCCM-complete_customers_list.csv';

	document.body.appendChild(a);
	a.click();
}
});